#!/sbin/sh
ARCH=$(grep ro.product.cpu.abi= /system/build.prop | cut -d "=" -f 2)
CGAPPS=/tmp/arch
GARM=$CGAPPS/arm
GARM64=$CGAPPS/arm64
GX86=$CGAPPS/x86

good_ffc_device() {
  if cat /proc/cpuinfo |grep -q Victory; then
    return 1
  fi
  if cat /proc/cpuinfo |grep -q herring; then
    return 1
  fi
  if cat /proc/cpuinfo |grep -q sun4i; then
    return 1
  fi
  return 0
}

if [ $ARCH == armeabi-v7a ]; then # arm
    echo "Installing gapps for arm"
    cp -r $GARM/app/FaceLock /system/app/FaceLock
    cp -r $GARM/priv-app/PrebuiltGmsCore /system/priv-app/PrebuiltGmsCore
    cp -r $GARM/priv-app/Velvet /system/priv-app/Velvet
    cp -r $GARM/lib /system/lib
    cp /tmp/arch/arm/addon.d/30-gapps.sh /system/addon.d/30-gapps.sh
    cp /tmp/arch/arm/addon.d/31-faceunlock.sh /system/addon.d/31-faceunlock.sh

elif [ $ARCH == arm64-v8a ]; then # arm64
    echo "Installing gapps for arm64"
    cp -r $GARM64/app/FaceLock /system/app/FaceLock
    cp -r $GARM64/priv-app/PrebuiltGmsCore /system/priv-app/PrebuiltGmsCore
    cp -r $GARM64/priv-app/Velvet /system/priv-app/Velvet
    if [ $(grep ro.product.device= /system/build.prop | cut -d "=" -f 2) == "flounder" ]; then
        cp -r $GARM64/priv-app/HotWord /system/priv-app/HotWord
    fi
    cp -r $GARM64/lib /system/lib
    cp -r $GARM64/lib64 /system/lib64
    cp /tmp/arch/arm64/addon.d/30-gapps.sh /system/addon.d/30-gapps.sh
    cp /tmp/arch/arm64/addon.d/31-faceunlock.sh /system/addon.d/31-faceunlock.sh

elif [ $ARCH == x86 ]; then # x86
    echo "Installing gapps for x86"
    cp -r $X86/priv-app/PrebuiltGmsCore /system/priv-app/PrebuiltGmsCore
    cp -r $x86/priv-app/Velvet /system/priv-app/Velvet
    cp /tmp/arch/x86/addon.d/30-gapps.sh /system/addon.d/30-gapps.sh
    cp /tmp/arch/x86/addon.d/31-faceunlock.sh /system/addon.d/31-faceunlock.sh

else # flashing on microwave
    echo "Couldn't get enought info, trying to flash gapps on microwave??"
fi

chmod 755 /system/addon.d/30-gapps.sh
if [ -f "/system/addon.d/faceunlock.sh" ]; then
    chmod 755 /system/addon.d/31-faceunlock.sh
fi
if good_ffc_device && [ -e /system/etc/permissions/android.hardware.camera.front.xml ]; then
  chmod 755 /system/addon.d/31-faceunlock.sh
elif  [ -d /system/vendor/pittpatt/ ]; then
  rm -rf /system/vendor/pittpatt/
  rm  -f /system/app/FaceLock.apk
  rm  -f /system/lib/libfacelock_jni.so
  rm  -f /system/addon.d/31-faceunlock.sh
fi
rm -rf /tmp/face
